Subject: Re: [PATCH 0/2] netns: fix for NULL-dereference in ipv6 code

From: Vlad Yasevich <[email-masked]>
Date: Thu, 14 Aug 2008 16:17:07 -0400

Brian Haley wrote:
> Hi,
> 
> When fixing the NULL-dereference of the idev in rt6_fill_node(), I
> noticed that dev_net() doesn't handle a NULL argument either.  These two
> patches fix that, as well as add a network namespace argument to
> rt6_fill_node() and ipv6_dev_get_saddr().

Brian

What is the reason that dev_net() would need to handle a NULL arg?

I think a NULL pointer in dev_net is a bug if Network Namespaces are used.

-vlad